Subject: [OPSAWG] 答复: Soliciting thoughts on draft-ietf-netmod-yang-model-classification

From: "Chenrui (Richard)" <[email-masked]>
Date: Tue, 1 Nov 2016 08:23:06 +0000

Hi Adrian,

I think it's reasonable to separate the model into customer service models, service delivery models, and network/device configuration models. They can focus on different purpose while operators have them coordinated in their BSS/OSS system to sell telecom product, operate and maintain their capabilities of infrastructures and configure network and devices. These are different tasks facing different users and requirements.
TMF&MEF all has different terms(product model/service model and resource model) which I believe are corresponding to above 3 model functions.

We do have contribute a draft(https://www.ietf.org/internet-drafts/draft-chen-opsawg-composite-vpn-dm-00.txt) which refers to the concept of service delivery model to provide a idea on how to deployment L2/L3VPN to a multiple domain/technologies network in a E2E orchestrated way.
Please review and comment it to see if we are at same page on this issues.

Thanks.
Richard

华为技术有限公司 Huawei Technologies Co., Ltd.
地址：深圳市龙岗区坂田华为基地 邮编：518129
Huawei Technologies Co., Ltd.
Bantian, Longgang District,Shenzhen 518129, P.R.China
http://www.huawei.com 

本邮件及其附件含有华为公司的保密信息，仅限于发送给上面地址中列出的个人或群组。禁
止任何其他人以任何形式使用（包括但不限于全部或部分地泄露、复制、或散发）本邮件中
的信息。如果您错收了本邮件，请您立即电话或邮件通知发件人并删除本邮件！
This e-mail and its attachments contain confidential information from HUAWEI, which 
is intended only for the person or entity whose address is listed above. Any use of the 
information contained herein in any way (including, but not limited to, total or partial 
disclosure, reproduction, or dissemination) by persons other than the intended 
recipient(s) is prohibited. If you receive this e-mail in error, please notify the sender by 
phone or email immediately and delete it!

> -----邮件原件-----
> 发件人: OPSAWG [mailto:[email-masked]] 代表 Adrian Farrel
> 发送时间: 2016年10月31日 20:04
> 收件人: [email-masked]'
> 抄送: [email-masked]
> 主题: [OPSAWG] Soliciting thoughts on
> draft-ietf-netmod-yang-model-classification
> 
> Hi,
> 
> We previously discussed draft-wu-opsawg-service-model-explained a bit on
> this list and also at a face-to-face meeting.
> 
> Since then the I-D has moved on to a -03 revision picking up and addressing
> comments from the list, private emails, and the authors' gradual
> understanding of the field.
> 
> We do not think that this I-D is conflicted by, with, or from
> draft-ietf-netmod-yang-model-classification (which we understand may be
> approaching WG last call in NETMOD).
> 
> We believe there are some issues that would benefit from focused discussion
> in the OPSAWG.
> 
> Is there agreement on our separation of models into customer service
> models, service delivery models, and network/device configuration models?
> We think that we have the right split of function, but not necessarily the right
> names for the terms.
> 
> Can we refine the definition of "service"? There was some discussion of this
> at the last meeting, and it led us to refine the language a bit, but it would be
> helpful to have more feedback.
> 
> Is this stuff "obvious" or is there value in publishing an RFC? Our experience
> working in L3SM has been that there is a tension with the protocol working
> groups (particularly BESS) that arises from the equipment vendors being
> closer to how services are delivered within a network (i.e., by configuring a
> set of devices in the network) than they are to an understanding of how an
> operator presents a service for consumption by their customer. Our intention
> is to make that distinction clearer.
> 
> Have we got the correlation with the MEF's LSO right? We have heard a
> conflicting view to what we have written, but we have also heard supporting
> views. Should we drop all discussion of the MEF's model as it is out of scope
> for the IETF?
> 
> Thanks for any opinions.
> 
> Adrian
> 
> _______________________________________________
> OPSAWG mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/opsawg